Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Leon Romanovsky <[email-masked]>
Date: Thu, 25 Jul 2024 20:37:47 +0300

On Thu, Jul 25, 2024 at 10:22:48AM -0400, James Bottomley wrote:
> On Thu, 2024-07-25 at 17:18 +0300, Leon Romanovsky wrote:
> > On Thu, Jul 25, 2024 at 02:29:36PM +0100, Mark Brown wrote:
> > > On Thu, Jul 25, 2024 at 04:20:35PM +0300, Leon Romanovsky wrote:
> > > > On Thu, Jul 25, 2024 at 03:02:13PM +0200, Ricardo Ribalda Delgado
> > > > wrote:
> > > 
> > > > > As a user, and as an open source Distro developer I have a
> > > > > small hint.  But you could also ask users what they think about
> > > > > not being able to use their notebook's cameras. The last time
> > > > > that I could not use some basic hardware from a notebook with
> > > > > Linux was 20 years ago.
> > > 
> > > > Lucky you, I still have consumer hardware (speaker) that doesn't
> > > > work with Linux, and even now, there is basic hardware in my
> > > > current laptop (HP docking station) that doesn't work reliably in
> > > > Linux.
> > > 
> > > FWIW for most audio issues (especially built in stuff) with laptops
> > > if you report it upstream it'll generally be relatively easy to
> > > quirk. Unfortunately it's idiomatic for ACPI systems to quirk off
> > > DMI information for almost everything which means a constant stream
> > > of per system quirks for subsystems like audio.
> > 
> > It is Jabra USB speaker. One day, I will have time to debug it :).
> 
> Those actually do work with Linux.  It's the speakers Plumbers has
> provided to BoF/Hack sessions that needed remote attendees.  There was
> a pulseaudio issue a while ago that any Mic/Speaker combination that
> exported HFP instead of HSP didn't work, but that's fixed upstream (but
> you might need to upgrade your pulseaudio).

I don't want to hijack this thread, but I tried now my two Jabra
speakers (one is used and another is brand new which I got from IT)
and both don't work on my FC40 laptop.

Thanks

> James